## RygelRelationalExpression

RygelRelationalExpression — This is a parsed UPnP search expression consisting of two strings joined by a relational operator such as such <, <=, ==, !=, >, >=, derivedFrom or exists.

## Functions

gboolean | rygel_relational_expression_compare_string ()
gboolean | rygel_relational_expression_compare_int ()
gboolean | rygel_relational_expression_compare_uint ()
RygelRelationalExpression * | rygel_relational_expression_new ()

## Types and Values

#define | RYGEL_TYPE_RELATIONAL_EXPRESSION
struct | RygelRelationalExpression
struct | RygelRelationalExpressionClass

## Object Hierarchy

        RygelSearchExpression
        ╰── RygelRelationalExpression

## Description

## Functions

### rygel_relational_expression_compare_string ()

    gboolean
    rygel_relational_expression_compare_string
                                   (RygelRelationalExpression *self,
                                    const gchar *str);

#### Parameters

self | the RygelRelationalExpression instance |
str |  |

### rygel_relational_expression_compare_int ()

    gboolean
    rygel_relational_expression_compare_int
                                   (RygelRelationalExpression *self,
                                    gint integer);

#### Parameters

self | the RygelRelationalExpression instance |
integer |  |

### rygel_relational_expression_compare_uint ()

    gboolean
    rygel_relational_expression_compare_uint
                                   (RygelRelationalExpression *self,
                                    guint integer);

#### Parameters

self | the RygelRelationalExpression instance |
integer |  |

### rygel_relational_expression_new ()

    RygelRelationalExpression *
    rygel_relational_expression_new (void);

## Types and Values

### RYGEL_TYPE_RELATIONAL_EXPRESSION

    #define RYGEL_TYPE_RELATIONAL_EXPRESSION (rygel_relational_expression_get_type ())

The type for RygelRelationalExpression.

### struct RygelRelationalExpression

    struct RygelRelationalExpression;

This is a parsed UPnP search expression consisting of two strings joined by a relational operator such as such <, <=, ==, !=, >, >=, derivedFrom or exists.

### struct RygelRelationalExpressionClass

    struct RygelRelationalExpressionClass {
    	RygelSearchExpressionClass parent_class;
    };

The class structure for `RYGEL_TYPE_RELATIONAL_EXPRESSION`. All the fields in this structure are private and should never be accessed directly.

#### Members